TokyoTyrant::ext
TokyoTyrant::get
TokyoTyrant
PHP Manual

# TokyoTyrant::fwmKeys

Returns the forward matching keys

### Description

public array TokyoTyrant::fwmKeys ( string `$prefix` , int `$max_recs` )

Returns the forward matching keys from the database

### Parameters

`prefix`

  Prefix of the keys

`max_recs`

  Maximum records to return

### Return Values

Returns an array of matching keys. The values are not returned

### Examples

Example #1 TokyoTyrant::fwmKeys example

`<?php
$tt = new TokyoTyrant("localhost");
/* Create 20 macthing keys */
for ($i = 0; $i < 20; $i++) {
$tt->put("key_" . $i, "value_" . $i);
}
/* Create 20 non-macthing keys */
for ($i = 0; $i < 20; $i++) {
$tt->put("something_" . $i, "data_" . $i);
}
/* Get five matching keys */
var_dump($tt->fwmKeys("key_", 5));
?>`

The above example will output something similar to:

    array(5) {
      [0]=>
      string(5) "key_5"
      [1]=>
      string(6) "key_14"
      [2]=>
      string(5) "key_6"
      [3]=>
      string(6) "key_15"
      [4]=>
      string(5) "key_7"
    }